<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt">
  <xsl:include href="_common.xsl"/>

  <!-- Type of object for header -->
  <xsl:variable name="objectType" select="'Objects'"/>
    
  <!-- Root -->
  <xsl:template match="/DataDocumenter">
    <xsl:variable name="pathPart" select="Breadcrumbs/Breadcrumb[last()]/@src"/>
    <div data-page="{$pathPart}{$ext}">
      <xsl:apply-templates select="Breadcrumbs"/>
        
      <xsl:apply-templates select="Tables | Views | Functions | Procedures | Modules"/>
    </div>
  </xsl:template>

  <!-- List -->
  <xsl:template match="Tables | Views | Functions | Procedures | Modules">
    <xsl:choose>
      <xsl:when test="./*">
        <h1>
          <xsl:if test="(/DataDocumenter/Breadcrumbs/Breadcrumb[@type='Module'])[1] != ''">
            <span>Module:</span>
            <xsl:value-of select="(/DataDocumenter/Breadcrumbs/Breadcrumb[@type='Module'])[1]"/>:
          </xsl:if>

          <xsl:value-of select="$objectType"/>
        </h1>
        <ol type="1">
          <xsl:apply-templates select="Table | View | Function | Procedure | Module"/>
        </ol>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <!-- List element -->
  <xsl:template match="Table | View | Function | Procedure">
    <li>
      <a href="#{Src}{$ext}" class="ajax" data-target="#right">
        <xsl:value-of select="DisplayName"/>
      </a>
    </li>
  </xsl:template>

  <xsl:template match="Module">
    <li>
      <a href="#{Src}{$ext}" class="ajax" data-target="#right">
        <xsl:value-of select="Title"/>
      </a>
    </li>
  </xsl:template>

</xsl:stylesheet>